Get Customer
curl --request GET \
--url https://qwoty.app/api/customers/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"tax_ids": [
{ "tax": "VAT", "tax_value": "FR12345678901" },
{ "tax": "SIREN", "tax_value": "123456789" }
],
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Customers
Get Customer
Retrieve a specific customer by ID, including their legal identifiers
GET
/
api
/
customers
/
{id}
Get Customer
curl --request GET \
--url https://qwoty.app/api/customers/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"tax_ids": [
{ "tax": "VAT", "tax_value": "FR12345678901" },
{ "tax": "SIREN", "tax_value": "123456789" }
],
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Authorization
Bearer token. Format:
Bearer qwoty_your_tokenPath Parameters
UUID of the customer
Examples
curl https://qwoty.app/api/customers/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
Response
true if the request succeededThe customer object
Show Customer Object
Show Customer Object
UUID
Workspace UUID
Customer name
company or individualSegment UUID
Logo URL
External CRM ID
External ERP ID
External accounting ID
Array of contact UUIDs linked to this customer. Use
GET /api/contacts/{id} to fetch each contact.Array of address UUIDs linked to this customer. Use
GET /api/addresses/{id} to fetch each address.ISO 8601 timestamp
ISO 8601 timestamp
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"tax_ids": [
{ "tax": "VAT", "tax_value": "FR12345678901" },
{ "tax": "SIREN", "tax_value": "123456789" }
],
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Was this page helpful?
⌘I

